Go to the first, previous, next, last section, table of contents.

### checkout options

These standard options are supported by `checkout` (see section Common command options, for a complete description of them):

`-D date`
  Use the most recent revision no later than date. This option is sticky, and implies ``-P'`. See section Sticky tags, for more information on sticky tags/dates.
`-f`
  Only useful with the ``-D date'` or ``-r tag'` flags. If no matching revision is found, retrieve the most recent revision (instead of ignoring the file).
`-k kflag`
  Process RCS keywords according to kflag. See co(1). This option is sticky; future updates of this file in this working directory will use the same kflag. The `status` command can be viewed to see the sticky options. See section status--Display status information on checked out files.
`-l`
  Local; run only in current working directory.
`-n`
  Do not run any checkout program (as specified with the ``-o'` option in the modules file; see section The modules file).
`-P`
  Prune empty directories.
`-p`
  Pipe files to the standard output.
`-r tag`
  Use revision tag. This option is sticky, and implies ``-P'`. See section Sticky tags, for more information on sticky tags/dates.

In addition to those, you can use these special command options with `checkout`:

`-A`
  Reset any sticky tags, dates, or ``-k'` options. See section Sticky tags, for more information on sticky tags/dates.
`-c`
  Copy the module file, sorted, to the standard output, instead of creating or modifying any files or directories in your working directory.
`-d dir`
  Create a directory called dir for the working files, instead of using the module name. Unless you also use ``-N'`, the paths created under dir will be as short as possible.
`-j tag`
  With two ``-j'` options, merge changes from the revision specified with the first ``-j'` option to the revision specified with the second ``j'` option, into the working directory. With one ``-j'` option, merge changes from the ancestor revision to the revision specified with the ``-j'` option, into the working directory. The ancestor revision is the common ancestor of the revision which the working directory is based on, and the revision specified in the ``-j'` option. In addition, each -j option can contain an optional date specification which, when used with branches, can limit the chosen revision to one within a specific date. An optional date is specified by adding a colon (:) to the tag: ``-jSymbolic_Tag:Date_Specifier'`. See section Merging.
`-N`
  Only useful together with ``-d dir'`. With this option, CVS will not shorten module paths in your working directory. (Normally, CVS shortens paths as much as possible when you specify an explicit target directory).
`-s`
  Like ``-c'`, but include the status of all modules, and sort it by the status string. See section The modules file, for info about the ``-s'` option that is used inside the modules file to set the module status.

Go to the first, previous, next, last section, table of contents.